
package net.mcreator.outerspaceexplorers.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.item.HoeItem;

import net.mcreator.outerspaceexplorers.OuterSpaceExplorersModElements;

@OuterSpaceExplorersModElements.ModElement.Tag
public class MoonHoeItem extends OuterSpaceExplorersModElements.ModElement {
	@ObjectHolder("outer_space_explorers:moon_hoe")
	public static final Item block = null;
	public MoonHoeItem(OuterSpaceExplorersModElements instance) {
		super(instance, 17);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new HoeItem(new IItemTier() {
			public int getMaxUses() {
				return 3000;
			}

			public float getEfficiency() {
				return 12f;
			}

			public float getAttackDamage() {
				return 4f;
			}

			public int getHarvestLevel() {
				return 6;
			}

			public int getEnchantability() {
				return 42;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(MoonGemItem.block, (int) (1)));
			}
		}, -3f, new Item.Properties().group(ItemGroup.TOOLS)) {
		}.setRegistryName("moon_hoe"));
	}
}
