
package net.mcreator.outerspaceexplorers.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.outerspaceexplorers.OuterSpaceExplorersModElements;

@OuterSpaceExplorersModElements.ModElement.Tag
public class MoonSwordItem extends OuterSpaceExplorersModElements.ModElement {
	@ObjectHolder("outer_space_explorers:moon_sword")
	public static final Item block = null;
	public MoonSwordItem(OuterSpaceExplorersModElements instance) {
		super(instance, 15);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 3000;
			}

			public float getEfficiency() {
				return 12f;
			}

			public float getAttackDamage() {
				return 16f;
			}

			public int getHarvestLevel() {
				return 6;
			}

			public int getEnchantability() {
				return 42;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(MoonGemItem.block, (int) (1)));
			}
		}, 3, -2f, new Item.Properties().group(ItemGroup.COMBAT)) {
		}.setRegistryName("moon_sword"));
	}
}
